class AddFieldsToPastes < ActiveRecord::Migration[6.1]
  def change
    add_column :pastes, :title, :string
    add_column :pastes, :language, :string
    add_column :pastes, :paste_key, :string
    add_column :pastes, :content, :text
    add_column :pastes, :size, :integer
    add_column :pastes, :hits, :integer, default: 0
    add_column :pastes, :created_by, :string
    add_column :pastes, :expires_at, :datetime
    
    add_index :pastes, :paste_key, unique: true
    add_index :pastes, :language
    add_index :pastes, :created_at
  end
end